From b06ce54490b1fff9a910c8d42d7f9210bc0ff786 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 12 2021 06:25:57 +0000
Subject: [PATCH 2105/2232] Move type_id re-export to wrapper macro_rules


---

diff --git a/src/lib.rs b/src/lib.rs
index 018582d..0bba6a2 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -413,6 +413,7 @@ mod shared_ptr;
 #[path = "cxx_string.rs"]
 mod string;
 mod symbols;
+mod type_id;
 mod unique_ptr;
 mod unwind;
 #[path = "cxx_vector.rs"]
@@ -429,11 +430,6 @@ pub use crate::vector::CxxVector;
 pub use crate::weak_ptr::WeakPtr;
 pub use cxxbridge_macro::bridge;
 
-/// For use in impls of the `ExternType` trait. See [`ExternType`].
-///
-/// [`ExternType`]: trait.ExternType.html
-pub use cxxbridge_macro::type_id;
-
 /// Synonym for `CxxString`.
 ///
 /// To avoid confusion with Rust's standard library string you probably
@@ -466,6 +462,7 @@ pub mod private {
     pub use crate::unwind::catch_unwind;
     pub use crate::vector::VectorElement;
     pub use crate::weak_ptr::WeakPtrTarget;
+    pub use cxxbridge_macro::type_id;
 }
 
 mod actually_private {
diff --git a/src/type_id.rs b/src/type_id.rs
new file mode 100644
index 0000000..6d91e44
--- /dev/null
+++ b/src/type_id.rs
@@ -0,0 +1,9 @@
+/// For use in impls of the `ExternType` trait. See [`ExternType`].
+///
+/// [`ExternType`]: trait.ExternType.html
+#[macro_export]
+macro_rules! type_id {
+    ($($path:tt)*) => {
+        $crate::private::type_id! { $($path)* }
+    };
+}

